<div class="container mt-4">
  <div class="card border-primary">
    <div class="card-body" style="text-align: center;">
      <span class="h3 fw-bolder">{{titulo}}
        <div class="spinner-border float-right" role="status" *ngIf="loading">
          <span class="visually-hidden">Loading...</span>
        </div>
      </span>
      <br>

    </div>
  </div>
  <div class="card border-primary mt-2">
    <form class="example-form" [formGroup]="createUsuario" (ngSubmit)="agregarEditarUsuario()">

      <table class="example-full-width mt-4 ms-5">
        <tr>
          <td>
            <mat-form-field class="example-full-width" appearance="fill">
              <mat-label>Nombre del Socio</mat-label>
              <input matInput placeholder="" value="" formControlName="nombre">
            </mat-form-field>
          </td>

        </tr>
        <tr>
          <td>
            <mat-form-field class="example-full-width" appearance="fill">
              <mat-label>Correo Electronico</mat-label>
              <input matInput placeholder="rafa@gmail.com" formControlName="correo">
            </mat-form-field>
          </td>
        </tr>
        <tr>
          <td>
            <mat-form-field class="example-full-width" appearance="fill">
              <mat-label>Numero Socio</mat-label>
              <input matInput type="number" step="any" placeholder="Ej. 42451" formControlName="numeroSocio">
            </mat-form-field>
          </td>
        </tr>
        <tr>
          <td>
            <mat-form-field class="example-full-width" appearance="fill">
              <mat-label>Edad</mat-label>
              <input matInput placeholder="Ej. 21" formControlName="edad">
            </mat-form-field>
          </td>
        </tr>
        <td>
          <mat-form-field class="example-full-width" appearance="fill">
            <mat-label>DNI</mat-label>
            <input matInput placeholder="Ej. 52361756X" formControlName="dni">
          </mat-form-field>
        </td>
        <p>
          <mat-form-field class="example-full-width" appearance="fill">
            <mat-label>URL de la foto carnet</mat-label>
            <input url matInput placeholder="Ej. https://image.com" #ejemplo (keyup)="0"
              value="https://www.lockwoodboatworks.com/assets/images/no-image-selected.gif" formControlName="foto">
          </mat-form-field>
        <div class="card border-primary position-absolute bottom-0 end-0 translate-middle-x mb-4">
          <img mat-card-image src={{ejemplo.value}} style="width: 18rem; max-height: 450px;">
        </div>
        <p>

          <button mat-stroked-button color="warn" routerLink="/usuarios" style=" background-color: #dfdfdf;"
            class="me-3">
            Volver
          </button>
          <button mat-stroked-button color="primary" type="submit" style="background-color: #dfdfdf;">
            Agregar
          </button>
      </table>

    </form>
  </div>



</div>
